Package: org.apache.groovy.groovysh.commands

## [Groovy] Class DocCommand

- org.apache.groovy.groovysh.commands.DocCommand

-     class DocCommand
      extends CommandSupport

  The 'doc' command.

  Since:
    2.2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class CommandSupport` | `aliases, hidden, name, shortcut`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DocCommand(Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `browse(List urls)`
    `` | `protected void` | `browseWithAWT(List urls)`
    `` | `protected void` | `browseWithNativeBrowser(String browser, List urls)`
    `` | `protected List<jline.console.completer.Completer>` | `createCompleters()`
    `` | `void` | `doc(String className, String module)`
    `` | `Object` | `execute(List<String> args)`
    `` | `protected String` | `getBrowserEnvironmentVariable()`
    `` | `protected String` | `normalizeClassName(String className)`
    `` | `protected boolean` | `sendHEADRequest(URL url, String path)`
    `` | `protected List` | `urlsFor(String className, String module)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Constructor Detail

    - #### DocCommand(Groovysh shell)

  - ### Method Detail

    - #### protected void browse(List urls)

    - #### protected void browseWithAWT(List urls)

    - #### protected void browseWithNativeBrowser(String browser, List urls)

    - #### @Override
      protected List<jline.console.completer.Completer> createCompleters()

    - #### void doc(String className, String module)

    - #### @Override
      Object execute(List<String> args)

    - #### protected String getBrowserEnvironmentVariable()

    - #### protected String normalizeClassName(String className)

    - #### protected boolean sendHEADRequest(URL url, String path)

    - #### protected List urlsFor(String className, String module)